
import cadquery as cq

# Create the first cylinder
cylinder1 = cq.Workplane("XY").circle(20).extrude(5)

# Create the second cylinder in the middle of the first one
cylinder2 = cq.Workplane("XY").circle(10).extrude(5)

# Combine the two cylinders
result = cylinder1.cut(cylinder2)

# Cut off a small rectangle on the right side of the first cylinder
result = result.faces(">X").workplane().rect(2, 5).cutThruAll()

# Save the output
result.val().exportStl("Refine_2.stl")
