
import cadquery as cq

# Define the dimensions of the table top and legs
table_length = 100.0
table_width = 60.0
table_thickness = 2.0
leg_length = 1.0
leg_width = 1.0
leg_height = 70.0

# Create the table top
table_top = cq.Workplane("XY").box(table_length, table_width, table_thickness)

# Create the table legs
leg = cq.Workplane("XY").box(leg_length, leg_width, leg_height)

# Correctly position legs at each corner of the table top
legs = (
    leg.translate((-table_length / 2 + leg_length / 2, -table_width / 2 + leg_width / 2, -leg_height / 2 - table_thickness / 2))
    .union(leg.translate((table_length / 2 - leg_length / 2, -table_width / 2 + leg_width / 2, -leg_height / 2 - table_thickness / 2)))
    .union(leg.translate((-table_length / 2 + leg_length / 2, table_width / 2 - leg_width / 2, -leg_height / 2 - table_thickness / 2)))
    .union(leg.translate((table_length / 2 - leg_length / 2, table_width / 2 - leg_width / 2, -leg_height / 2 - table_thickness / 2)))
)

# Combine the table top and legs
table = table_top.union(legs)

# Export the result
table.val().exportStl("Refine_1.stl")
