
import cadquery as cq

# Define the dimensions of the table top and legs
table_length = 100.0
table_width = 60.0
table_thickness = 2.0
leg_length = 1.0
leg_width = 1.0
leg_height = 70.0

# Create the table top
table_top = cq.Workplane("XY").box(table_length, table_width, table_thickness)

# Create the table legs using a cleaner method by embedding the translations directly in the loop
legs = cq.Workplane("XY")
offsets = [(table_length/2 - leg_length/2, table_width/2 - leg_width/2, -leg_height/2 - table_thickness/2),
           (-table_length/2 + leg_length/2, table_width/2 - leg_width/2, -leg_height/2 - table_thickness/2),
           (table_length/2 - leg_length/2, -table_width/2 + leg_width/2, -leg_height/2 - table_thickness/2),
           (-table_length/2 + leg_length/2, -table_width/2 + leg_width/2, -leg_height/2 - table_thickness/2)]
for offset in offsets:
    legs = legs.union(cq.Workplane("XY").box(leg_length, leg_width, leg_height).translate(offset))

# Combine the table top and legs
table = table_top.union(legs)

# Export the result
table.val().exportStl("Refine_2.stl")
