
import cadquery as cq

# Define the dimensions of the pipe
length = 100.0  # Length of the pipe
width = 10.0  # Width of the pipe
height = 20.0  # Height of the pipe
thickness = 2.0  # Wall thickness of the pipe

# Create the outer part of the pipe
outer = cq.Workplane("front").box(length, width, height)

# Create the inner part of the pipe
inner = (
    cq.Workplane("front")
    .box(length - 2 * thickness, width - 2 * thickness, height)
    .translate((thickness, thickness, 0))
)

# Subtract the inner part from the outer part to create the pipe
pipe = outer.cut(inner)

# Export the result with the correctly named file
pipe.val().exportStl("Refine_1.stl")
