
import cadquery as cq

# Define the points the polyline will be drawn through
points = [(0, 0), (0, 10), (10, 10), (10, 9), (1, 9), (1, 0)]

# Create a workplane and draw the L shape using the polyline function
result = cq.Workplane("front").polyline(points).close()

# Extrude the L shape to create the 3D bracket
result = result.extrude(1)

# Export the result to a different STL file
result.val().exportStl("Refine_1.stl")
