
import cadquery as cq

# Define the dimensions
hexagon_edge_length = 10.0
hexagon_height = 20.0
cylinder_diameter = hexagon_edge_length - 1.0
cylinder_height = hexagon_height / 2.0

# Create the hexagon and extrude it
result = (
    cq.Workplane("XY")
    .polygon(6, hexagon_edge_length)
    .extrude(hexagon_height)
)

# Create the cylinder and extrude it
result = (
    result.faces(">Z")
    .workplane()
    .circle(cylinder_diameter / 2.0)
    .extrude(cylinder_height)
)

# Export the result
result.val().exportStl("Generated.stl")
