
import cadquery as cq

# Define the dimensions
base_small = 10.0  # Small base of the trapezium
base_large = 20.0  # Large base of the trapezium
height = 15.0      # Height of the trapezium
extrude_amount = 100.0  # Amount to extrude the trapezium

# Calculate the overhang on each side for an isosceles trapezium
overhang = (base_large - base_small) / 2

# Create an isosceles trapezium sketch
r = (cq.Workplane("front")
     .moveTo(-base_small / 2, 0)
     .lineTo(base_small / 2, 0)
     .lineTo(base_large / 2, height)
     .lineTo(-base_large / 2, height)
     .close())

# Extrude the sketch to create the prism
result = r.extrude(extrude_amount)

# Export the result with the correct file name as mentioned
result.val().exportStl("Refine_1.stl")
