
import cadquery as cq

# Revised dimensions based on feedback
length = 100.0    # Kept the same length as it is satisfactory.
height = 80.0     # Increased for more prominent tallness.
width = 5.0       # Reduced to emphasize the narrow aspect.

# Create the rectangular prism with the updated dimensions
result = cq.Workplane("XY").box(length, height, width)

# Export the model to STL file
result.val().exportStl("Refine_V_1.stl")
